Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals

# Static configuration options
[Configuration options for uIP]

## Detailed Description

These configuration options can be used for setting the IP address settings statically, but only if UIP_FIXEDADDR is set to 1. The configuration options for a specific node includes IP address, netmask and default router as well as the Ethernet address. The netmask, default router and Ethernet address are appliciable only if uIP should be run over Ethernet.

All of these should be changed to suit your project.

## Defines
#define | UIP_FIXEDADDR
| Determines if uIP should use a fixed IP address or not.
#define | UIP_PINGADDRCONF
| Ping IP address asignment.
#define | UIP_IPADDR0
| The first octet of the IP address of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_IPADDR1
| The second octet of the IP address of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_IPADDR2
| The third octet of the IP address of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_IPADDR3
| The fourth octet of the IP address of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_NETMASK0
| The first octet of the netmask of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_NETMASK1
| The second octet of the netmask of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_NETMASK2
| The third octet of the netmask of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_NETMASK3
| The fourth octet of the netmask of this uIP node, if UIP_FIXEDADDR is 1.
#define | UIP_DRIPADDR0
| The first octet of the IP address of the default router, if UIP_FIXEDADDR is 1.
#define | UIP_DRIPADDR1
| The second octet of the IP address of the default router, if UIP_FIXEDADDR is 1.
#define | UIP_DRIPADDR2
| The third octet of the IP address of the default router, if UIP_FIXEDADDR is 1.
#define | UIP_DRIPADDR3
| The fourth octet of the IP address of the default router, if UIP_FIXEDADDR is 1.
#define | UIP_FIXEDETHADDR
| Specifies if the uIP ARP module should be compiled with a fixed Ethernet MAC address or not.
#define | UIP_ETHADDR0
| The first octet of the Ethernet address if UIP_FIXEDETHADDR is 1.
#define | UIP_ETHADDR1
| The second octet of the Ethernet address if UIP_FIXEDETHADDR is 1.
#define | UIP_ETHADDR2
| The third octet of the Ethernet address if UIP_FIXEDETHADDR is 1.
#define | UIP_ETHADDR3
| The fourth octet of the Ethernet address if UIP_FIXEDETHADDR is 1.
#define | UIP_ETHADDR4
| The fifth octet of the Ethernet address if UIP_FIXEDETHADDR is 1.
#define | UIP_ETHADDR5
| The sixth octet of the Ethernet address if UIP_FIXEDETHADDR is 1.

## Define Documentation

#define UIP_FIXEDADDR

| Determines if uIP should use a fixed IP address or not. If uIP should use a fixed IP address, the settings are set in the uipopt.h file. If not, the macros uip_sethostaddr(), uip_setdraddr() and uip_setnetmask() should be used instead.

#define UIP_FIXEDETHADDR

| Specifies if the uIP ARP module should be compiled with a fixed Ethernet MAC address or not. If this configuration option is 0, the macro uip_setethaddr() can be used to specify the Ethernet address at run-time.

#define UIP_PINGADDRCONF

| Ping IP address asignment. uIP uses a "ping" packets for setting its own IP address if this option is set. If so, uIP will start with an empty IP address and the destination IP address of the first incoming "ping" (ICMP echo) packet will be used for setting the hosts IP address. Note: This works only if UIP_FIXEDADDR is 0.